rectangle.hpp File Reference

A class representing a rectangle by his x,y coordinates, width and height. More...

`#include <claw/coordinate_2d.hpp>`
`#include <claw/box_2d.hpp>`
`#include <claw/impl/rectangle.tpp>`

Go to the source code of this file.

## Classes

class | claw::math::rectangle< T >
| A class representing a rectangle by his x,y coordinates, width and height. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::math
| Manipulation of mathematic, geometric, etc. items.

## Detailed Description

A class representing a rectangle by his x,y coordinates, width and height.

Author
  Julien Jorge

Definition in file rectangle.hpp.